Forum Post
Index > Scribe > v2.29 fails to open in Win7 64

Author/Date v2.29 fails to open in Win7 64
pseudocanuck
27/02/2011 1:36am
Greetings,
I began to experience that Scribe sometimes simply fails to open, whether by double click of desktop icon or otherwise. After the install of Win7 64 SP1, this became worse, and finally hardened to permanency. I had to uninstall SP1 soon; it somehow caused IE to hang on open -- Scribe is not hanging, it's just not opening at all. (Sheesh, when was the last time M$ released a major update that WASN'T toxic?).
Attempt to reinstall over existing failed: “Error opening file for writing” or “Couldn’t write Scribe.exe”. Drag & drop of Scribe.exe from a backup didn’t help. Attempt to install direct online failed: “Couldn’t write Lgi.dll”. Uninstall (leaving folders) and reinstall failed to fix it too. But interestingly, my firewall informed me that Scribe was trying to access the internet the first time I opened Internet Explorer after the uninstall/reinstall.
I can't think of any other possible solution right now, other than restore my entire system from the backup which I so cleverly made immediately prior to installing SP1, just in case the uninstall of SP1 wasn't complete. (Yes, M$, we can learn!) Even if I do this, it seems it isn't a real solution, as this began to happen before install of SP1.
Any ideas anyone?
Thanks.
fret
28/02/2011 10:15am
Sounds like Scribe is running but not visible. It's possible it's just minimized to the system tray but currently hidden by Windows hiding unused tray icons or something?

Can you check whether it's running using the Task Manager?
pseudocanuck
01/03/2011 12:40am
I wrote this before reading your reply:
My apologies for the above post.
Rather apologies from M$ on my behalf.
Win7 has this annoying quirk where it doesn't always remember the window size and position of programs that have been closed, but opens them sometimes in weird sizes or places on the desktop, or often minimized to the extreme, and in the upper left corner of the desktop.
It seems that with Scribe it at some point, and for God knows what reason, began taking this quirk to another level. Scribe was actually opening, but not even in full minimized state: only in the taskbar. Since I have my taskbar set to be hidden until I run the mouse over it, I never saw the taskbar icon, until just recently, by accident.

So I can add to that: Your suspicion was right on, sir.
I never even thought to check taskmanager!
fret
01/03/2011 7:49am
Haha, yeah there is an issue in Scribe that every blue moon it has trouble saving it's window position and opens up with a very small little rectangle in the top left corner. You can recover from that by resizing it to a normal size, so it's not fatal, and it's kinda rare, so I never got around to fixing it. It's not Win7's fault, it's a known issue with my code. I have had a look at fixing it before but never found the exact issue.
pseudocanuck
04/03/2011 10:28pm
Well, let me tell you, it's not just Scribe that has this problem. Adobe InDesign CS4, and one or two others, are in that club too.

Just in case it's of any use, it turns out that there was a little more to that SP1 install bug. The fact was that after SP1, Scribe was not even opening in the visible task bar but in the Show Hidden Icons part, and there was no way to bring it up and running so that you could do anything with it.

I uninstalled SP1 (for the second time) and will simply stay away from it for some time, as I see no info in forums, etc. on *another* problem, or a fix to it, which is that Internet Explore won't connect/load a page after SP1.



May interest you to know, Fret, that Outlook 2003 recently failed to open once since uninstall of SP1 (never did that before) and Scribe has been working fine. I got Outlook to work again by doing a registry cleanup and restart.



I still have a strange little issue with message body not appearing until close/reopen (maybe several close/reopens). But, strangely, it hasn't occurred since SP1 uninstall. I need a little more time to confirm that it has fixed itself or not, and/or gather systematic info on a possible cause..
Reply